Skip to content

upsertMethodOperationParameter

WRITE

Upsert method operation parameter.

POST /api/v1/items/upsertMethodOperationParameter
curl -X POST '<your-host>/api/v1/items/upsertMethodOperationParameter' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "operationId": "string",
    "key": "string",
    "value": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "operationId": {
      "type": "string",
      "minLength": 1
    },
    "key": {
      "type": "string",
      "minLength": 1
    },
    "value": {
      "type": "string",
      "minLength": 1
    },
    "id": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "operationId",
    "key",
    "value",
    "_operation"
  ]
}